/*
- 1.0
:  
*/
#ifndef _NEWGAMEMENU_H_
#define _NEWGAMEMENU_H_

#include <d3d9.h>
#include <d3dx9.h>
#include "ExceptionBase.h"
#include "Errors.h"

//    
struct XZGAMEMENUVERTEX
{
	D3DXVECTOR3 position;
	D3DXVECTOR3 vecNormal;
	float tu, tv;
};
#define D3DFVF_XZGAMEMENUVERTEX (D3DFVF_XYZ | D3DFVF_NORMAL | D3DFVF_TEX1)

/*        -.
   ,    .*/
class NewGameMenu
{
private:
	//   Direct3D
	LPDIRECT3DDEVICE9 pD3DDevice;
	//  
	D3DXVECTOR3 pos;
	//  
	LPDIRECT3DTEXTURE9 *textures;
	//   
	float w, h;
	// 
	int texNumber;
	// 
	int curTex;
	//   
	LPDIRECT3DVERTEXBUFFER9 pVertices;

	//     (     )
	RECT menuRect;

	// Vertex Buffer    
	void createVertexBuffer();
	// 
	void loadTextures(char **filesNames);
public:
	//
	NewGameMenu(LPDIRECT3DDEVICE9 pD3DDev, D3DXVECTOR3 position, char **files,
		int filesNumber, float width, float height, RECT menuRectangle);
	//
	virtual ~NewGameMenu(void);
	//   
	void render();

	// 
	enum texturesNames { NEW_GAME = 0, // 
						 NEW_GAME_Y,   //  (  "")
						 NEW_GAME_N,   //  (  "")
						 NEW_GAME_WIN,  //" "
						 NEW_GAME_WIN_Y,//" " (  "")
						 NEW_GAME_WIN_N,//" " (  "")
						 NEW_GAME_LOST,  //" "
						 NEW_GAME_LOST_Y,//" " (  "")
						 NEW_GAME_LOST_N,//" " (  "")
						 NEW_GAME_DRAW,    //""
						 NEW_GAME_DRAW_Y,  //"" (  "")
						 NEW_GAME_DRAW_N };//"" (  "")

	// 
	enum buttons { YES = 100,     //
				  NO,            //
				  NOTSELECTED }; //    
	//    (   texturesNames)
	void setCurrentMenu(int curMenu);

	//    (   buttons)
	int checkSelectedButtons(POINT cursorPos); 
};

#endif
